import React from "react";
import {
  ScheduleOutlined,
  RotateRightOutlined,
  CheckCircleOutline
} from "@material-ui/icons";
import { StepperWithStyle } from "../common/stepper/StepperWithStyle";

export function DeploymentStepper(props) {
  let { activeStep, deploymentStart, jobDetails } = props;

  const icons = {
    1: <ScheduleOutlined />,
    2: <RotateRightOutlined />,
    3: <CheckCircleOutline />
  };

  const steps = [
    jobDetails?.typeLabel() + " Queued",
    jobDetails?.typeLabel() + " Running",
    jobDetails?.typeLabel() + " Completed"
  ];

  const isStepFailed = (step) => {
    if (jobDetails?.status().toLowerCase() === "failed") {
      return step === activeStep;
    }
    return false;
  };

  if (jobDetails?.status().toLowerCase() === "failed") {
    activeStep = deploymentStart ? 1 : 0;
  }

  activeStep = activeStep === 2 ? 3 : activeStep;

  return (
    <StepperWithStyle
      steps={steps}
      activeStep={activeStep}
      isStepFailed={isStepFailed}
      icons={icons}
    />
  );
}
