import React from "react";
import { useEffect } from "react";
import { LinearProgress } from "@material-ui/core";
import { PrimeKeyValueTable } from "../common/PrimeKeyValueTable/PrimeKeyValueTable";
import { useHostStatistics } from "../../api/SwaggerApi";

export function HostStatistics() {
  const [statistics, getStatistics] = useHostStatistics();

  let hostStats = {};

  useEffect(() => getStatistics(), [getStatistics]);

  if (statistics) {
    hostStats = {
      "Registered IOC-hosts": statistics?.numOfIocHosts,
      "IOC-hosts with IOCs": statistics?.numOfHostsWithIocs,
      "Reachable IOC-hosts with IOCs": statistics?.numOfReachableHostsWithIocs,
      "Issue free IOC-hosts with IOCs": statistics?.numOfIssueFreeHostsWithIocs
    };
  }

  return statistics ? (
    <PrimeKeyValueTable
      obj={hostStats}
      labels={["Host statistics"]}
    />
  ) : (
    <div style={{ width: "100%" }}>
      <LinearProgress color="primary" />
    </div>
  );
}
