import React from "react";
import { useEffect } from "react";
import { LinearProgress } from "@material-ui/core";
import { PrimeKeyValueTable } from "../common/PrimeKeyValueTable/PrimeKeyValueTable";
import { useIocStatistics } from "../../api/SwaggerApi";

export function IOCStatistics() {
  const [statistics, getStatistics] = useIocStatistics();

  let iocStats = {};

  if (statistics) {
    iocStats = {
      "Registered IOCs": statistics?.numOfRegisteredIocs,
      "Deployed IOCs": statistics?.numOfDeployedIocs,
      "Reachable IOCs": statistics?.numOfReachableIocs,
      "Issue-free IOCs": statistics?.numOfIssueFreeIocs
    };
  }

  useEffect(() => getStatistics(), [getStatistics]);

  return statistics ? (
    <PrimeKeyValueTable
      obj={iocStats}
      labels={["IOC statistics"]}
    />
  ) : (
    <div style={{ width: "100%" }}>
      <LinearProgress color="primary" />
    </div>
  );
}
