import React, { useEffect } from "react";
import { IconButton, Paper } from "@material-ui/core";
import { DeploymentDetails } from "../../components/deployments/DeploymentDetails";
import ArrowBackIcon from "@material-ui/icons/ArrowBack";
import { useNavigate } from "react-router-dom";
import { useGlobalAppBar } from "../../components/navigation/GlobalAppBar/GlobalAppBar";

export function DeploymentDetailsView({ deployment, deploymentJob }) {
  const navigate = useNavigate();

  const handleClick = () => {
    navigate(-1);
  };

  const { setTitle } = useGlobalAppBar("Deployment Details");

  useEffect(() => {
    deployment && setTitle("Deployment Details: " + deployment.namingName);
  }, [deployment, setTitle]);

  return (
    <Paper>
      <IconButton
        color="inherit"
        onClick={handleClick}
      >
        <ArrowBackIcon />
      </IconButton>
      {deployment && (
        <DeploymentDetails
          deployment={deployment}
          deploymentJob={deploymentJob}
        />
      )}
    </Paper>
  );
}
